/*
 * Common framebuffer server functionality.
 *
 * Copyright (C) 2018, 2023 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include "fb-server.h"

long Framebuffer_server::get_framebuffer(l4_cap_idx_t *fb)
{
  *fb = _mem;
  return L4_EOK;
}

long Framebuffer_server::get_framebuffer_size(l4_size_t *size)
{
  *size = _get_framebuffer_size();
  return L4_EOK;
}

long Framebuffer_server::get_view_info(l4re_video_view_info_t *view_info)
{
  _get_view_info(view_info);
  return L4_EOK;
}

/* vim: tabstop=2 expandtab shiftwidth=2
*/
